// (C) 2007-2025 GoodData Corporation
/**
 * This package contains various extensions on top of the stable components included in GoodData.UI.
 *
 * @remarks
 * The extensions land here instead of their own project as part of their staged development.
 *
 * Notable member of the package is InsightView, the component that allows you to embed
 * Analytical Designer insights.
 *
 * @packageDocumentation
 */
import { fluidLayoutDescriptor, FullVisualizationCatalog, } from "./internal/index.js";
export { clearInsightViewCaches } from "./dataLoaders/index.js";
export * from "./insightView/index.js";
export { isDrillDownDefinition, fluidLayoutDescriptor, FluidLayoutDescriptor, isEmptyAfm, EmptyAfmSdkError, PluggableVisualizationErrorCodes, addIntersectionFiltersToInsight, DASHBOARD_LAYOUT_DEFAULT_VIS_HEIGHT_PX, INSIGHT_WIDGET_SIZE_INFO_DEFAULT, INSIGHT_WIDGET_SIZE_INFO_DEFAULT_LEGACY, INSIGHT_WIDGET_SIZE_INFO_NEW_DEFAULT, KPI_WIDGET_SIZE_INFO_DEFAULT, KPI_WIDGET_SIZE_INFO_DEFAULT_LEGACY, WIDGET_DROPZONE_SIZE_INFO_DEFAULT, RICH_TEXT_WIDGET_SIZE_INFO_DEFAULT, RICH_TEXT_WIDGET_SIZE_INFO_NEW_DEFAULT, VISUALIZATION_SWITCHER_WIDGET_SIZE_INFO_DEFAULT, VISUALIZATION_SWITCHER_WIDGET_SIZE_INFO_NEW_DEFAULT, DASHBOARD_LAYOUT_WIDGET_SIZE_INFO_DEFAULT, MIN_VISUALIZATION_WIDTH, EmbedInsightDialog, isSizeInfo, isSizeInfoDefault, isVisualizationDefaultSizeInfo, } from "./internal/index.js";
export { provideCreateRoot } from "./internal/createRootProvider.js";
// below functions are exported only for sdk-ui-dashboard use to avoid exporting the whole FullVisualizationCatalog
/**
 * @internal
 */
export function getInsightSizeInfo(insight, settings) {
    return FullVisualizationCatalog.forInsight(insight).getSizeInfo(insight, fluidLayoutDescriptor, settings);
}
/**
 * @internal
 */
export function getInsightWithAppliedDrillDown(insight, drillEvent, drillDefinition, backendSupportsElementUris, enableDuplicatedLabelValuesInAttributeFilter) {
    return FullVisualizationCatalog.forInsight(insight).applyDrillDown(insight, {
        drillDefinition,
        event: drillEvent,
    }, backendSupportsElementUris, enableDuplicatedLabelValuesInAttributeFilter);
}
/**
 * @internal
 */
export function getInsightVisualizationMeta(insight, settings) {
    return FullVisualizationCatalog.forInsight(insight).getMeta(settings);
}
export * from "./internal/components/dialogs/userManagementDialogs/index.js";
export * from "./internal/components/attributeHierarchies/index.js";
export * from "./internal/components/pluggableVisualizations/alerts.js";
export { NotificationsPanel } from "./notificationsPanel/NotificationsPanel/NotificationsPanel.js";
export { DefaultNotificationsPanel } from "./notificationsPanel/NotificationsPanel/DefaultNotificationsPanel.js";
export { DefaultNotificationsPanelButton } from "./notificationsPanel/NotificationsPanel/DefaultNotificationsPanelButton.js";
export { DefaultNotificationsPanelHeader } from "./notificationsPanel/NotificationsPanel/DefaultNotificationsPanelHeader.js";
export { DefaultNotificationsList } from "./notificationsPanel/NotificationsList/DefaultNotificationsList.js";
export { DefaultNotificationsListEmptyState } from "./notificationsPanel/NotificationsList/DefaultNotificationsListEmptyState.js";
export { DefaultNotificationsListErrorState } from "./notificationsPanel/NotificationsList/DefaultNotificationsListErrorState.js";
export { DefaultNotification } from "./notificationsPanel/Notification/DefaultNotification.js";
export { DefaultNotificationSkeletonItem } from "./notificationsPanel/NotificationsList/DefaultSkeletonItem.js";
//# sourceMappingURL=index.js.map