// (C) 2023-2025 GoodData Corporation
import React from "react";
import { Dialog, useId } from "@gooddata/sdk-ui-kit";
import AttributeHierarchyDialogHeader from "./AttributeHierarchyDialogHeader.js";
import AttributeHierarchyDialogContent from "./AttributeHierarchyDialogContent.js";
import AttributeHierarchyDialogFooter from "./AttributeHierarchyDialogFooter.js";
import DeleteAttributeHierarchyConfirmation from "./DeleteAttributeHieraryConfirmation.js";
import { useAttributeHierarchyDialog } from "./AttributeHierarchyDialogProvider.js";
const AttributeHierarchyDialogCore = () => {
    const { onClose, shouldDisplayDeleteConfirmation, title } = useAttributeHierarchyDialog();
    const titleElementId = useId();
    return shouldDisplayDeleteConfirmation ? (React.createElement(DeleteAttributeHierarchyConfirmation, null)) : (React.createElement(Dialog, { containerClassName: "attribute-hierarchy-overlay s-attribute-hierarchy-overlay", className: "attribute-hierarchy-dialog s-attribute-hierarchy-dialog", displayCloseButton: true, onClose: onClose, accessibilityConfig: { titleElementId } },
        React.createElement("h2", { className: "sr-only", id: titleElementId }, title),
        React.createElement(AttributeHierarchyDialogHeader, null),
        React.createElement(AttributeHierarchyDialogContent, null),
        React.createElement(AttributeHierarchyDialogFooter, null)));
};
export default AttributeHierarchyDialogCore;
//# sourceMappingURL=AttributeHierarchyDialogCore.js.map