import React from "react";
import { ICatalogAttributeHierarchy, ObjRef } from "@gooddata/sdk-model";
import { EmptyParamCallback, IAttributeData, ICatalogAttributeData, SaveOrUpdateCallback, SetLoadingCallback } from "./types.js";
interface IAttributeHierarchyDialogProviderProps {
    initialAttributeRef?: ObjRef;
    editingAttributeHierarchy?: ICatalogAttributeHierarchy;
    onClose?: EmptyParamCallback;
    onSaveOrUpdateSuccess?: SaveOrUpdateCallback;
    onDeleteSuccess?: EmptyParamCallback;
    onAddAttributeClicked?: () => void;
    onCreateHierarchyClicked?: () => void;
    children: React.ReactNode;
}
export interface IAttributeHierarchyDialogProviderData {
    isEditing: boolean;
    isDirty: boolean;
    attributes: IAttributeData[];
    title: string;
    isLoading: boolean;
    setLoading: SetLoadingCallback;
    shouldDisplayDeleteConfirmation: boolean;
    setDisplayDeleteConfirmation: (isDisplay: boolean) => void;
    onClose: EmptyParamCallback;
    onUpdateTitle: (title: string) => void;
    onAddEmptyAttribute: (baseRowIndex: number) => void;
    onCompleteAttribute: (selectedItem: ICatalogAttributeData, rowIndex: number) => void;
    getValidAttributes: (rowIndex: number) => Promise<ICatalogAttributeData[]>;
    onDeleteAttribute: (rowIndex: number) => void;
    onSaveAttributeHierarchy: EmptyParamCallback;
    onDeleteAttributeHierarchy: (isDisplay: boolean) => void;
}
export declare const AttributeHierarchyDialogProviderContext: React.Context<IAttributeHierarchyDialogProviderData>;
export declare const useAttributeHierarchyDialog: () => IAttributeHierarchyDialogProviderData;
export declare const AttributeHierarchyDialogProvider: React.FC<IAttributeHierarchyDialogProviderProps>;
export {};
//# sourceMappingURL=AttributeHierarchyDialogProvider.d.ts.map