// (C) 2023 GoodData Corporation
import React, { useRef, useState } from "react";
import { Button } from "@gooddata/sdk-ui-kit";
import { useAttributeHierarchyDialog } from "./AttributeHierarchyDialogProvider.js";
import AddActionMenu from "./AddActionMenu.js";
const AttributeItemActions = ({ rowIndex }) => {
    const [shouldDisplayAddActions, setDisplayAddActions] = useState(false);
    const { onDeleteAttribute } = useAttributeHierarchyDialog();
    const addAttributeRef = useRef();
    const handleAddAttribute = () => {
        setDisplayAddActions(true);
    };
    const handleDeleteAttribute = () => {
        onDeleteAttribute(rowIndex);
    };
    const handleCloseAddActionMenu = () => {
        setDisplayAddActions(false);
    };
    return (React.createElement("div", { className: "attribute-item-actions s-attribute-item-actions" },
        React.createElement("div", { ref: addAttributeRef },
            React.createElement(Button, { className: "gd-button-link gd-button-icon-only gd-icon-plus attribute-item-add-action s-attribute-item-add-action", onClick: handleAddAttribute })),
        React.createElement(Button, { className: "gd-button-link gd-button-icon-only gd-icon-trash attribute-item-delete-action s-attribute-item-delete-action", onClick: handleDeleteAttribute }),
        shouldDisplayAddActions ? (React.createElement(AddActionMenu, { rowIndex: rowIndex, alignTo: addAttributeRef.current, onClose: handleCloseAddActionMenu })) : null));
};
export default AttributeItemActions;
//# sourceMappingURL=AttributeItemActions.js.map