// (C) 2019-2025 GoodData Corporation
import React from "react";
import { injectIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { columnHeadersPositionDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
import ConfigSubsection from "./ConfigSubsection.js";
import { isSetColumnHeadersPositionToLeftAllowed } from "../../utils/controlsHelper.js";
class ColumnHeadersPositionControl extends React.Component {
    static defaultProps = {
        defaultValue: "top",
        showDisabledMessage: false,
    };
    render() {
        const { pushData, properties, intl, isDisabled, defaultValue, insight } = this.props;
        const columnHeadersPosition = isSetColumnHeadersPositionToLeftAllowed(insight)
            ? (properties?.controls?.columnHeadersPosition ?? defaultValue)
            : defaultValue;
        return (React.createElement(ConfigSubsection, { title: messages.columnHeaderPositionTitle.id },
            React.createElement(DropdownControl, { value: columnHeadersPosition, valuePath: "columnHeadersPosition", labelText: messages.columnHeaderPositionLabel.id, disabled: isDisabled, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(columnHeadersPositionDropdownItems, intl), showDisabledMessage: isDisabled })));
    }
}
export default injectIntl(ColumnHeadersPositionControl);
//# sourceMappingURL=ColumnHeadersPositionControl.js.map