// (C) 2020-2022 GoodData Corporation
import React from "react";
import { injectIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { dataPointsDropdownLabels } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
class DataPointsControl extends React.Component {
    static defaultProps = {
        defaultValue: "auto",
        showDisabledMessage: false,
    };
    render() {
        const { pushData, properties, intl, isDisabled, showDisabledMessage, defaultValue } = this.props;
        const dataPoints = properties?.controls?.dataPoints?.visible ?? defaultValue;
        return (React.createElement("div", { className: "s-data-points-config" },
            React.createElement(DropdownControl, { value: dataPoints, valuePath: "dataPoints.visible", labelText: messages.dataPoints.id, disabled: isDisabled, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(dataPointsDropdownLabels, intl), showDisabledMessage: showDisabledMessage })));
    }
}
export default injectIntl(DataPointsControl);
//# sourceMappingURL=DataPointsControl.js.map