// (C) 2019-2024 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { imageDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
export const ImageControl = ({ pushData, properties, defaultValue = "fit" }) => {
    const intl = useIntl();
    const rowSizing = properties?.controls?.cellImageSizing ?? defaultValue;
    return (React.createElement("div", { className: "s-image-config" },
        React.createElement(DropdownControl, { value: rowSizing, valuePath: "cellImageSizing", labelText: messages.image.id, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(imageDropdownItems, intl) })));
};
//# sourceMappingURL=ImageControl.js.map