// (C) 2019-2023 GoodData Corporation
import React from "react";
import { injectIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { metricsPositionDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
import ConfigSubsection from "./ConfigSubsection.js";
class MetricsPositionControl extends React.Component {
    static defaultProps = {
        defaultValue: "columns",
        showDisabledMessage: false,
    };
    render() {
        const { pushData, properties, intl, isDisabled, showDisabledMessage, defaultValue } = this.props;
        const metricsPosition = properties?.controls?.measureGroupDimension ?? defaultValue;
        return (React.createElement(ConfigSubsection, { title: messages.metricsPositionTitle.id },
            React.createElement(DropdownControl, { value: metricsPosition, valuePath: "measureGroupDimension", labelText: messages.metricsPositionLabel.id, disabled: isDisabled, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(metricsPositionDropdownItems, intl), showDisabledMessage: showDisabledMessage })));
    }
}
export default injectIntl(MetricsPositionControl);
//# sourceMappingURL=MetricsPositionControl.js.map