// (C) 2019-2024 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { rowSizingDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
export const RowHeightControl = ({ pushData, properties, defaultValue = "small", }) => {
    const intl = useIntl();
    const rowSizing = properties?.controls?.rowHeight ?? defaultValue;
    return (React.createElement("div", { className: "s-row-height-config" },
        React.createElement(DropdownControl, { value: rowSizing, valuePath: "rowHeight", labelText: messages.rowHeight.id, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(rowSizingDropdownItems, intl) })));
};
//# sourceMappingURL=RowHeightControl.js.map