// (C) 2019-2024 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { textWrappingDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
export const TextWrappingControl = ({ pushData, properties, defaultValue = "clip", }) => {
    const intl = useIntl();
    const rowSizing = properties?.controls?.cellTextWrapping ?? defaultValue;
    return (React.createElement("div", { className: "s-text-wrapping-config" },
        React.createElement(DropdownControl, { value: rowSizing, valuePath: "cellTextWrapping", labelText: messages.textWrapping.id, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(textWrappingDropdownItems, intl) })));
};
//# sourceMappingURL=TextWrappingControl.js.map