// (C) 2019-2024 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import DropdownControl from "./DropdownControl.js";
import { verticalAlignmentDropdownItems } from "../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../utils/translations.js";
import { messages } from "../../../locales.js";
export const VerticalAlignControl = ({ pushData, properties, defaultValue = "top", }) => {
    const intl = useIntl();
    const rowSizing = properties?.controls?.cellVerticalAlign ?? defaultValue;
    return (React.createElement("div", { className: "s-vertical-align-config" },
        React.createElement(DropdownControl, { value: rowSizing, valuePath: "cellVerticalAlign", labelText: messages.verticalAlign.id, properties: properties, pushData: pushData, items: getTranslatedDropdownItems(verticalAlignmentDropdownItems, intl) })));
};
//# sourceMappingURL=VerticalAlignControl.js.map