// (C) 2024 GoodData Corporation
import React from "react";
import { useTheme } from "@gooddata/sdk-ui-theme-provider";
import { BubbleHoverTrigger, Icon, Bubble } from "@gooddata/sdk-ui-kit";
const TOOLTIP_ALIGN_POINTS = [{ align: "cr cl", offset: { x: 10, y: 0 } }];
const DescriptionIconWithTooltip = ({ snippet }) => {
    const theme = useTheme();
    return (React.createElement("span", null,
        React.createElement("span", { className: "gd-bubble-trigger-wrapper" },
            React.createElement(BubbleHoverTrigger, null,
                React.createElement(Icon.QuestionMark, { color: theme?.palette?.complementary?.c7 ?? "#B0BECA", width: 16, height: 16, className: "gd-advanced-customization-dialog__snippet__tooltip__trigger" }),
                React.createElement(Bubble, { alignPoints: TOOLTIP_ALIGN_POINTS, className: "bubble-light" },
                    React.createElement("div", { className: "gd-advanced-customization-dialog__snippet__tooltip" },
                        React.createElement("div", { className: "gd-advanced-customization-dialog__snippet__tooltip__header" }, snippet.name),
                        React.createElement("div", { className: "gd-advanced-customization-dialog__snippet__tooltip__body" }, snippet.description)))))));
};
export const SnippetHeader = ({ snippet }) => (React.createElement("div", { className: "gd-advanced-customization-dialog__snippet--header" }, snippet.name));
export const SnippetItem = ({ snippet, onClick }) => (React.createElement("div", { onClick: () => onClick(snippet), className: "gd-advanced-customization-dialog__snippet" },
    React.createElement("span", null, snippet.name),
    React.createElement(DescriptionIconWithTooltip, { snippet: snippet })));
//# sourceMappingURL=SnippetItem.js.map