// (C) 2019-2022 GoodData Corporation
import React from "react";
import { injectIntl } from "react-intl";
import DropdownControl from "../DropdownControl.js";
import { getTranslatedDropdownItems } from "../../../utils/translations.js";
import { rotationDropdownItems } from "../../../constants/dropdowns.js";
import { messages } from "../../../../locales.js";
class LabelRotationControl extends React.PureComponent {
    render() {
        const { axisVisible, axisLabelsEnabled, axisRotation } = this.getControlProperties();
        const isDisabled = this.props.disabled || !axisVisible || !axisLabelsEnabled;
        return (React.createElement(DropdownControl, { value: axisRotation, valuePath: `${this.props.axis}.rotation`, labelText: messages.axisRotation.id, disabled: isDisabled, showDisabledMessage: !this.props.configPanelDisabled && isDisabled, properties: this.props.properties, pushData: this.props.pushData, items: getTranslatedDropdownItems(rotationDropdownItems, this.props.intl) }));
    }
    getControlProperties() {
        const axisProperties = this.props.properties?.controls?.[this.props.axis];
        const axisVisible = axisProperties?.visible ?? true;
        const axisLabelsEnabled = axisProperties?.labelsEnabled ?? true;
        const axisRotation = axisProperties?.rotation ?? "auto";
        return {
            axisVisible,
            axisLabelsEnabled,
            axisRotation,
        };
    }
}
export default injectIntl(LabelRotationControl);
//# sourceMappingURL=LabelRotationControl.js.map