// (C) 2023 GoodData Corporation
import React from "react";
import CalculationListItemInfoSection from "./CalculationListItemInfoSection.js";
import { CalculateAs } from "@gooddata/sdk-ui-charts";
const CalculationListItemInfo = ({ title, calculationType }) => {
    return (React.createElement("div", { className: "calculation-item-info" },
        React.createElement("h3", { className: "calculation-item-info-header" }, title),
        React.createElement(CalculationListItemInfoSection, { calculationType: calculationType, section: "useIn", contentClassNames: "calculation-item-info-use-in-content", shouldHideTitle: true }),
        calculationType === CalculateAs.CHANGE_DIFFERENCE ? (React.createElement(React.Fragment, null,
            React.createElement(CalculationListItemInfoSection, { calculationType: CalculateAs.CHANGE, section: "formula", isSectionCombineCalculationType: true }),
            React.createElement(CalculationListItemInfoSection, { calculationType: CalculateAs.DIFFERENCE, section: "formula", isSectionCombineCalculationType: true }))) : (React.createElement(CalculationListItemInfoSection, { calculationType: calculationType, section: "formula" })),
        React.createElement(CalculationListItemInfoSection, { calculationType: calculationType, section: "example" })));
};
export default CalculationListItemInfo;
//# sourceMappingURL=CalculationListItemInfo.js.map