// (C) 2023 GoodData Corporation
import React from "react";
import ConfigSubsection from "../../ConfigSubsection.js";
import { CalculateAs } from "@gooddata/sdk-ui-charts";
import { comparisonMessages } from "../../../../../locales.js";
import NumberFormatControl from "./numberFormat/NumberFormatControl.js";
import ComparisonPositionControl from "./ComparisonPositionControl.js";
import { COMPARISON_FORMAT_VALUE_PATH, COMPARISON_SUB_FORMAT_VALUE_PATH } from "../ComparisonValuePath.js";
import { getNumberFormat, getNumberSubFormat } from "../../../../utils/comparisonHelper.js";
const ValueSubSection = ({ sectionDisabled, showDisabledMessage, defaultFormat, separators, properties, pushData, }) => {
    const format = getNumberFormat(properties, defaultFormat);
    const subFormat = getNumberSubFormat(properties);
    const shouldDisplaySubFormatControl = properties.controls?.comparison?.calculationType === CalculateAs.CHANGE_DIFFERENCE;
    return (React.createElement(ConfigSubsection, { title: comparisonMessages.valueSubSectionTitle.id, canBeToggled: false },
        React.createElement(NumberFormatControl, { disabled: sectionDisabled, valuePath: COMPARISON_FORMAT_VALUE_PATH, labelText: comparisonMessages.formatTitle.id, format: format, showDisabledMessage: showDisabledMessage, separators: separators, properties: properties, pushData: pushData }),
        shouldDisplaySubFormatControl ? (React.createElement(NumberFormatControl, { disabled: sectionDisabled, valuePath: COMPARISON_SUB_FORMAT_VALUE_PATH, labelText: comparisonMessages.subFormatTitle.id, format: subFormat, showDisabledMessage: showDisabledMessage, separators: separators, properties: properties, pushData: pushData })) : null,
        React.createElement(ComparisonPositionControl, { disabled: sectionDisabled, showDisabledMessage: showDisabledMessage, properties: properties, pushData: pushData })));
};
export default ValueSubSection;
//# sourceMappingURL=ValueSubSection.js.map