// (C) 2019-2024 GoodData Corporation
import React from "react";
import { injectIntl } from "react-intl";
import DropdownControl from "../DropdownControl.js";
import { confidenceDropdownItems } from "../../../constants/dropdowns.js";
import { getTranslatedDropdownItems } from "../../../utils/translations.js";
import { messages } from "../../../../locales.js";
class ForecastConfidenceControl extends React.PureComponent {
    render() {
        return (React.createElement(DropdownControl, { value: this.props.value, valuePath: "forecast.confidence", labelText: messages.forecastConfidence.id, disabled: this.props.disabled, properties: this.props.properties, pushData: this.props.pushData, items: this.generateDropdownItems(), showDisabledMessage: this.props.showDisabledMessage }));
    }
    generateDropdownItems() {
        return getTranslatedDropdownItems(confidenceDropdownItems, this.props.intl);
    }
}
export default injectIntl(ForecastConfidenceControl);
//# sourceMappingURL=ForecastConfidenceControl.js.map