// (C) 2019-2023 GoodData Corporation
import React from "react";
import ConfigSection from "../ConfigSection.js";
import LegendPositionControl from "./LegendPositionControl.js";
import { messages } from "../../../../locales.js";
import noop from "lodash/noop.js";
class LegendSection extends React.PureComponent {
    static defaultProps = {
        controlsDisabled: false,
        properties: {},
        propertiesMeta: {},
        defaultLegendEnabled: true,
        pushData: noop,
    };
    render() {
        const { controlsDisabled, properties, pushData, defaultLegendEnabled } = this.props;
        const legendEnabled = this.props.properties?.controls?.legend?.enabled ?? defaultLegendEnabled;
        const legendPosition = this.props.properties?.controls?.legend?.position ?? "auto";
        const legendToggleDisabledByVisualization = !(this.props.propertiesMeta?.legend_enabled ?? true);
        const toggleDisabled = controlsDisabled || legendToggleDisabledByVisualization;
        const legendPositionControlDisabled = !legendEnabled || toggleDisabled;
        const showDisabledMessage = controlsDisabled || legendToggleDisabledByVisualization;
        return (React.createElement(ConfigSection, { id: "legend_section", valuePath: "legend.enabled", title: messages.title.id, propertiesMeta: this.props.propertiesMeta, properties: properties, canBeToggled: true, toggleDisabled: toggleDisabled, toggledOn: legendEnabled, pushData: pushData, showDisabledMessage: showDisabledMessage },
            React.createElement(LegendPositionControl, { disabled: legendPositionControlDisabled, value: legendPosition, showDisabledMessage: showDisabledMessage, properties: properties, pushData: pushData })));
    }
}
export default LegendSection;
//# sourceMappingURL=LegendSection.js.map