// (C) 2023-2024 GoodData Corporation
import React from "react";
import { Overlay } from "@gooddata/sdk-ui-kit";
import { AddDataSource } from "./DataSources/AddDataSource.js";
import { OrganizationIdProvider } from "./OrganizationIdContext.js";
import { withTelemetry } from "./TelemetryContext.js";
const alignPoints = [{ align: "cc cc" }];
const noGrantedDataSources = [];
const AddDataSourceToSubjectsComponent = ({ ids, subjectType, organizationId, onSuccess, onClose, renderDataSourceIcon, }) => {
    return (React.createElement(OrganizationIdProvider, { organizationId: organizationId },
        React.createElement(Overlay, { alignPoints: alignPoints, isModal: true, positionType: "fixed" },
            React.createElement(AddDataSource, { ids: ids, subjectType: subjectType, grantedDataSources: noGrantedDataSources, enableBackButton: false, onSubmit: onSuccess, onCancel: onClose, onClose: onClose, renderDataSourceIcon: renderDataSourceIcon }))));
};
/**
 * @internal
 */
export const AddDataSourceToSubjects = withTelemetry(AddDataSourceToSubjectsComponent);
//# sourceMappingURL=AddDataSourceToSubjects.js.map