// (C) 2023 GoodData Corporation
import React from "react";
import { Overlay } from "@gooddata/sdk-ui-kit";
import { AddUserGroup } from "./UserGroups/AddUserGroup.js";
import { OrganizationIdProvider } from "./OrganizationIdContext.js";
import { withTelemetry } from "./TelemetryContext.js";
const alignPoints = [{ align: "cc cc" }];
const noGrantedUserGroups = [];
const AddUserGroupsToUsersDialogComponent = ({ userIds, organizationId, onSuccess, onClose, }) => {
    return (React.createElement(OrganizationIdProvider, { organizationId: organizationId },
        React.createElement(Overlay, { alignPoints: alignPoints, isModal: true, positionType: "fixed" },
            React.createElement(AddUserGroup, { userIds: userIds, grantedUserGroups: noGrantedUserGroups, enableBackButton: false, onSubmit: onSuccess, onCancel: onClose, onClose: onClose }))));
};
/**
 * @internal
 */
export const AddUserGroupsToUsersDialog = withTelemetry(AddUserGroupsToUsersDialogComponent);
//# sourceMappingURL=AddUserGroupsToUsersDialog.js.map