// (C) 2023 GoodData Corporation
import React from "react";
import { Overlay } from "@gooddata/sdk-ui-kit";
import { AddUser } from "./Users/AddUser.js";
import { OrganizationIdProvider } from "./OrganizationIdContext.js";
import { withTelemetry } from "./TelemetryContext.js";
const alignPoints = [{ align: "cc cc" }];
const noGrantedUsers = [];
const AddUsersToUserGroupsDialogComponent = ({ userGroupIds, organizationId, onSuccess, onClose, }) => {
    return (React.createElement(OrganizationIdProvider, { organizationId: organizationId },
        React.createElement(Overlay, { alignPoints: alignPoints, isModal: true, positionType: "fixed" },
            React.createElement(AddUser, { userGroupIds: userGroupIds, grantedUsers: noGrantedUsers, enableBackButton: false, onSubmit: onSuccess, onCancel: onClose, onClose: onClose }))));
};
/**
 * @internal
 */
export const AddUsersToUserGroupsDialog = withTelemetry(AddUsersToUserGroupsDialogComponent);
//# sourceMappingURL=AddUsersToUserGroupsDialog.js.map