// (C) 2023-2024 GoodData Corporation
import React from "react";
import { Overlay } from "@gooddata/sdk-ui-kit";
import { AddWorkspace } from "./Workspace/AddWorkspace.js";
import { OrganizationIdProvider } from "./OrganizationIdContext.js";
import { withTelemetry } from "./TelemetryContext.js";
const alignPoints = [{ align: "cc cc" }];
const noGrantedWorkspaces = [];
const AddWorkspaceToSubjectsComponent = ({ ids, subjectType, organizationId, onSuccess, onClose, areFilterViewsEnabled = false, }) => {
    return (React.createElement(OrganizationIdProvider, { organizationId: organizationId },
        React.createElement(Overlay, { alignPoints: alignPoints, isModal: true, positionType: "fixed", className: "gd-user-management-dialog", resizeObserverThreshold: 0.2 },
            React.createElement(AddWorkspace, { ids: ids, subjectType: subjectType, grantedWorkspaces: noGrantedWorkspaces, enableBackButton: false, onSubmit: onSuccess, onCancel: onClose, onClose: onClose, areFilterViewsEnabled: areFilterViewsEnabled }))));
};
/**
 * @internal
 */
export const AddWorkspaceToSubjects = withTelemetry(AddWorkspaceToSubjectsComponent);
//# sourceMappingURL=AddWorkspaceToSubjects.js.map