// (C) 2023-2024 GoodData Corporation
import React from "react";
import cx from "classnames";
import { Icon } from "@gooddata/sdk-ui-kit";
import { usePermissionsDropdownState } from "./usePermissionsDropdownState.js";
import { PermissionsDropdown } from "./PermissionsDropdown.js";
const DataSourceIcon = () => {
    return (React.createElement("div", { className: "gd-grantee-item-icon-left-background" },
        React.createElement("span", { className: "gd-grantee-item-icon gd-grantee-item-icon-left" },
            React.createElement(Icon.DataSource, null))));
};
export const DataSourceItem = ({ dataSource, subjectType, onChange, onDelete, renderDataSourceIcon, }) => {
    const { isDropdownOpen, toggleDropdown } = usePermissionsDropdownState();
    const itemClassName = cx("s-user-management-data-source-item", "gd-share-dialog-grantee-item", {
        "is-active": isDropdownOpen,
    });
    return (React.createElement("div", { className: itemClassName },
        React.createElement(PermissionsDropdown, { dataSource: dataSource, subjectType: subjectType, isDropdownOpen: isDropdownOpen, toggleDropdown: toggleDropdown, onChange: onChange, onDelete: onDelete, className: "gd-grantee-granular-permission" }),
        React.createElement("div", { className: "gd-grantee-content" },
            React.createElement("div", { className: "gd-grantee-content-label" }, dataSource.title)),
        renderDataSourceIcon ? renderDataSourceIcon(dataSource) : React.createElement(DataSourceIcon, null)));
};
//# sourceMappingURL=DataSourceItem.js.map