// (C) 2021-2024 GoodData Corporation
import React, { useMemo } from "react";
import { sortByName } from "../utils.js";
import { DataSourceItem } from "./DataSourceItem.js";
import { DataSourceListEmpty } from "./DataSourceListEmpty.js";
export const DataSourceList = ({ dataSources, subjectType, mode, onChange, onDelete, renderDataSourceIcon, }) => {
    const sortedDataSources = useMemo(() => {
        return dataSources ? [...dataSources].sort(sortByName) : [];
    }, [dataSources]);
    if (sortedDataSources.length === 0) {
        return React.createElement(DataSourceListEmpty, { mode: mode, subjectType: subjectType });
    }
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list s-user-management-data-sources" }, sortedDataSources.map((dataSource) => {
        return (React.createElement(DataSourceItem, { key: dataSource.id, dataSource: dataSource, subjectType: subjectType, onChange: onChange, onDelete: onDelete, renderDataSourceIcon: renderDataSourceIcon }));
    })));
};
//# sourceMappingURL=DataSourceList.js.map