// (C) 2023-2024 GoodData Corporation
import React from "react";
import { Button, withBubble } from "@gooddata/sdk-ui-kit";
const alignPoints = [{ align: "bc tc" }];
const Link = ({ deleteLinkText, onOpenDeleteDialog, isDeleteLinkEnabled }) => {
    return isDeleteLinkEnabled ? (React.createElement(Button, { className: "gd-button gd-button-link-dimmed gd-user-management-dialog-button-underlined s-user-management-delete-link", value: deleteLinkText, onClick: onOpenDeleteDialog })) : (React.createElement("span", { className: "gd-button-link-dimmed-disabled" }, deleteLinkText));
};
const DisabledLinKWithBubble = withBubble(Link);
export const DeleteLink = (props) => {
    const { isDeleteLinkEnabled, disabledLinkTooltipTextId } = props;
    return (React.createElement("div", null, isDeleteLinkEnabled ? (React.createElement(Link, { ...props })) : (React.createElement(DisabledLinKWithBubble, { ...props, showBubble: true, bubbleTextId: disabledLinkTooltipTextId, alignPoints: alignPoints }))));
};
//# sourceMappingURL=DeleteLink.js.map