// (C) 2023 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { messages } from "./locales.js";
import { DeleteConfirmDialog } from "./ConfirmDialogs/DeleteConfirmDialog.js";
import { useDeleteUserGroup } from "./dialogHooks.js";
import { withTelemetry } from "./TelemetryContext.js";
const DeleteUserGroupDialogComponent = ({ userGroupId, organizationId, onSuccess, onClose, }) => {
    const intl = useIntl();
    const { deleteUserGroup, isDeleteUserGroupProcessing } = useDeleteUserGroup(userGroupId, organizationId, onSuccess, onClose);
    return (React.createElement(DeleteConfirmDialog, { titleText: intl.formatMessage(messages.deleteUserGroupConfirmTitle), bodyText: intl.formatMessage(messages.deleteUserGroupConfirmBody), isProcessing: isDeleteUserGroupProcessing, onConfirm: deleteUserGroup, onCancel: onClose }));
};
/**
 * @internal
 */
export const DeleteUserGroupDialog = withTelemetry(DeleteUserGroupDialogComponent);
//# sourceMappingURL=DeleteUserGroupDialog.js.map