// (C) 2023 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import cx from "classnames";
import { Input } from "@gooddata/sdk-ui-kit";
import { stringUtils } from "@gooddata/util";
import { messages } from "../locales.js";
export const DetailRow = ({ labelText, value, mode, disabled, onChange }) => {
    const intl = useIntl();
    const viewClassNames = cx("gd-user-management-dialog-detail-value", {
        "gd-user-management-dialog-detail-value-empty": !value,
    });
    const inputClassNames = cx("gd-user-management-dialog-detail-input", `s-user-management-input-${stringUtils.simplifyText(labelText)}`);
    return (React.createElement("div", { className: "gd-user-management-dialog-detail-row" },
        React.createElement("div", { className: "gd-user-management-dialog-detail-label" }, labelText),
        mode === "VIEW" && (React.createElement("div", { className: viewClassNames }, value ? value : intl.formatMessage(messages.emptyDetailValue))),
        mode === "EDIT" && (React.createElement("div", null,
            React.createElement(Input, { value: value, disabled: disabled, onChange: onChange, className: inputClassNames })))));
};
//# sourceMappingURL=DetailRow.js.map