// (C) 2023 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import noop from "lodash/noop.js";
import { messages } from "../locales.js";
import { DetailRow } from "./DetailRow.js";
export const UserGroupDetailsView = ({ userGroup, mode, onChange }) => {
    const intl = useIntl();
    if (!userGroup) {
        return null;
    }
    return (React.createElement("div", { className: "gd-user-management-dialog-detail" },
        React.createElement(DetailRow, { labelText: intl.formatMessage(messages.userGroupName), value: userGroup.name, mode: mode, onChange: (name) => onChange({ ...userGroup, name }) }),
        React.createElement(DetailRow, { labelText: intl.formatMessage(messages.userGroupId), value: userGroup.id, mode: mode, disabled: true, onChange: noop })));
};
//# sourceMappingURL=UserGroupDetailsView.js.map