// (C) 2023-2025 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { DialogBase, Typography, Button, useId } from "@gooddata/sdk-ui-kit";
import { messages } from "./locales.js";
export const ErrorDialog = ({ dialogTitle, children, onClose }) => {
    const intl = useIntl();
    const titleElementId = useId();
    return (React.createElement(DialogBase, { className: "gd-share-dialog gd-share-dialog-add-users gd-user-management-dialog-view s-user-management-view-mode", displayCloseButton: true, onClose: onClose, accessibilityConfig: { titleElementId } },
        React.createElement("div", { className: "gd-dialog-header-wrapper" },
            React.createElement("div", { className: "gd-dialog-header" },
                React.createElement(Typography, { tagName: "h3", className: "gd-dialog-header-title", id: titleElementId },
                    React.createElement("span", null, dialogTitle)))),
        React.createElement("div", { className: "gd-dialog-content" }, children),
        React.createElement("div", { className: "gd-dialog-footer" },
            React.createElement("div", { className: "gd-user-management-dialog-buttons" },
                React.createElement("div", { className: "gd-user-management-dialog-buttons-left" }),
                React.createElement("div", { className: "gd-user-management-dialog-buttons-right" },
                    React.createElement(Button, { className: "gd-button gd-button-secondary", value: intl.formatMessage(messages.closeDialog), onClick: onClose }))))));
};
//# sourceMappingURL=ErrorDialog.js.map