// (C) 2023 GoodData Corporation
import React from "react";
import { invariant } from "ts-invariant";
const OrganizationIdContext = React.createContext(undefined);
OrganizationIdContext.displayName = "OrganizationIdContext";
export const OrganizationIdProvider = ({ organizationId, children, }) => {
    return React.createElement(OrganizationIdContext.Provider, { value: organizationId }, children);
};
export const useOrganizationId = () => {
    const organizationId = React.useContext(OrganizationIdContext);
    invariant(organizationId, "useOrganizationId must be called in OrganizationIdProvider with initialized value!");
    return organizationId;
};
//# sourceMappingURL=OrganizationIdContext.js.map