import React from "react";
import { UserEditDialogMode, IGrantedDataSource, UserTabId } from "./types.js";
import { IWithTelemetryProps } from "./TelemetryContext.js";
/**
 * @internal
 */
export interface IUserEditDialogProps extends IWithTelemetryProps {
    userId: string;
    organizationId: string;
    isAdmin: boolean;
    initialView?: UserEditDialogMode;
    changeUserMembership?: boolean;
    onSuccess: () => void;
    onClose: () => void;
    renderDataSourceIcon?: (dataSource: IGrantedDataSource) => JSX.Element;
    areFilterViewsEnabled?: boolean;
    selectedTab?: UserTabId;
}
/**
 * @internal
 */
export declare const UserEditDialog: React.FC<IUserEditDialogProps>;
//# sourceMappingURL=UserEditDialog.d.ts.map