// (C) 2023-2024 GoodData Corporation
import { useIntl } from "react-intl";
import React from "react";
import cx from "classnames";
import { messages } from "../locales.js";
import { RemoveIcon } from "../RemoveIcon.js";
const GranteeGroupIcon = () => {
    return (React.createElement("div", { className: "gd-grantee-item-icon-left-background" },
        React.createElement("span", { className: "gd-grantee-item-icon gd-grantee-icon-group gd-grantee-item-icon-left" })));
};
export const UserGroupItem = ({ mode, onDelete, userGroup, isDeleteDisabled, }) => {
    const itemClassName = cx("s-user-management-item", "gd-share-dialog-grantee-item");
    const intl = useIntl();
    const tooltipMessage = mode === "VIEW"
        ? intl.formatMessage(isDeleteDisabled
            ? messages.removeSavedUserGroupDisabledTooltip
            : messages.removeSavedUserGroupTooltip)
        : intl.formatMessage(messages.removeUnsavedUserGroupTooltip);
    return (React.createElement("div", { className: itemClassName },
        React.createElement(RemoveIcon, { tooltipMessage: tooltipMessage, onClick: () => onDelete(userGroup), isDisabled: isDeleteDisabled }),
        React.createElement("div", { className: "gd-grantee-content" },
            React.createElement("div", { className: "gd-grantee-content-label" }, userGroup.title)),
        React.createElement(GranteeGroupIcon, null)));
};
//# sourceMappingURL=UserGroupItem.js.map