// (C) 2023 GoodData Corporation
import React, { useMemo } from "react";
import { sortByName } from "../utils.js";
import { UserGroupsListEmpty } from "./UserGroupsListEmpty.js";
import { UserGroupItem } from "./UserGroupItem.js";
export const UserGroupsList = ({ userGroups, mode, onDelete, isBootstrapUser, bootstrapUserGroupId, }) => {
    const sortedUserGroups = useMemo(() => {
        return userGroups ? [...userGroups].sort(sortByName) : [];
    }, [userGroups]);
    if (sortedUserGroups.length === 0) {
        return React.createElement(UserGroupsListEmpty, { mode: mode });
    }
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list s-user-management-user-list" }, sortedUserGroups.map((userGroup) => {
        const isDeleteDisabled = isBootstrapUser && userGroup.id === bootstrapUserGroupId;
        return (React.createElement(UserGroupItem, { key: userGroup.id, userGroup: userGroup, onDelete: onDelete, isDeleteDisabled: isDeleteDisabled, mode: mode }));
    })));
};
//# sourceMappingURL=UserGroupsList.js.map