// (C) 2023 GoodData Corporation
import { useIntl } from "react-intl";
import React from "react";
import cx from "classnames";
import { BubbleHoverTrigger, Bubble } from "@gooddata/sdk-ui-kit";
import { messages } from "../locales.js";
const GranteeUserIcon = () => {
    return (React.createElement("div", { className: "gd-grantee-item-icon-left-background" },
        React.createElement("span", { className: "gd-grantee-item-icon gd-grantee-icon-user gd-grantee-item-icon-left" })));
};
const alignPoints = [{ align: "cr cl" }];
const RemoveIcon = ({ mode, onClick, isDisabled }) => {
    const intl = useIntl();
    return (React.createElement(BubbleHoverTrigger, { showDelay: 0, hideDelay: 0, className: "gd-grantee-item-delete" },
        React.createElement("span", { className: cx("gd-grantee-item-icon gd-grantee-icon-trash gd-grantee-item-icon-right s-user-management-item-delete", { "is-disabled": isDisabled }), onClick: isDisabled ? undefined : onClick, "aria-label": "Group dialog user member delete" }),
        React.createElement(Bubble, { className: "bubble-primary", alignPoints: alignPoints }, mode === "VIEW"
            ? intl.formatMessage(isDisabled
                ? messages.removeSavedUserDisabledTooltip
                : messages.removeSavedUserTooltip)
            : intl.formatMessage(messages.removeUnsavedUserTooltip))));
};
export const UserItem = ({ mode, onDelete, user, isDeleteDisabled }) => {
    const itemClassName = cx("s-user-management-item", "gd-share-dialog-grantee-item");
    return (React.createElement("div", { className: itemClassName },
        React.createElement(RemoveIcon, { mode: mode, onClick: () => onDelete(user), isDisabled: isDeleteDisabled }),
        React.createElement("div", { className: "gd-grantee-content" },
            React.createElement("div", { className: "gd-grantee-content-label" }, user.title),
            React.createElement("div", { className: "gd-grantee-content-label gd-grantee-content-email" }, user.email)),
        React.createElement(GranteeUserIcon, null)));
};
//# sourceMappingURL=UserItem.js.map