// (C) 2021-2023 GoodData Corporation
import React, { useMemo } from "react";
import { sortByName } from "../utils.js";
import { UsersListEmpty } from "./UsersListEmpty.js";
import { UserItem } from "./UserItem.js";
export const UsersList = ({ users, mode, onDelete, isBootstrapUserGroup, bootstrapUserId, }) => {
    const sortedUsers = useMemo(() => {
        return users ? [...users].sort(sortByName) : [];
    }, [users]);
    if (sortedUsers.length === 0) {
        return React.createElement(UsersListEmpty, { mode: mode });
    }
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list s-user-management-users-list" }, sortedUsers.map((user) => {
        const isDeleteDisabled = isBootstrapUserGroup && user.id === bootstrapUserId;
        return (React.createElement(UserItem, { key: user.id, user: user, onDelete: onDelete, isDeleteDisabled: isDeleteDisabled, mode: mode }));
    })));
};
//# sourceMappingURL=UsersList.js.map