// (C) 2023-2025 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import cx from "classnames";
import { DialogBase, Typography, Button, useId } from "@gooddata/sdk-ui-kit";
import { messages } from "./locales.js";
import { DeleteLink } from "./DeleteLink.js";
export const ViewDialog = ({ dialogTitle, isAdmin, onEdit, editButtonIconClassName, editButtonText, children, deleteLinkText, isDeleteLinkEnabled, deleteLinkDisabledTooltipTextId, onOpenDeleteDialog, onClose, }) => {
    const intl = useIntl();
    const titleElementId = useId();
    return (React.createElement(DialogBase, { className: "gd-share-dialog gd-share-dialog-add-users gd-user-management-dialog-view s-user-management-view-mode", displayCloseButton: true, onClose: onClose, accessibilityConfig: { titleElementId } },
        React.createElement("div", { className: "gd-dialog-header-wrapper" },
            React.createElement("div", { className: "gd-dialog-header" },
                React.createElement(Typography, { tagName: "h3", className: "gd-dialog-header-title" },
                    React.createElement("span", { className: "s-user-management-title", id: titleElementId }, dialogTitle),
                    isAdmin ? (React.createElement("span", { className: "gd-setting-widget-status-pill" }, intl.formatMessage(messages.adminPill))) : null))),
        React.createElement("div", { className: "gd-dialog-content" }, children),
        React.createElement("div", { className: "gd-dialog-footer" },
            React.createElement("div", { className: "gd-user-management-dialog-buttons" },
                React.createElement("div", { className: "gd-user-management-dialog-buttons-left" },
                    React.createElement(Button, { className: "gd-button gd-button-secondary s-user-management-edit-button", iconLeft: cx(editButtonIconClassName, "gd-user-management-dialog-edit-mode-icon"), value: editButtonText, onClick: onEdit })),
                React.createElement("div", { className: "gd-user-management-dialog-buttons-right" },
                    React.createElement(DeleteLink, { deleteLinkText: deleteLinkText, onOpenDeleteDialog: onOpenDeleteDialog, isDeleteLinkEnabled: isDeleteLinkEnabled, disabledLinkTooltipTextId: deleteLinkDisabledTooltipTextId }),
                    React.createElement(Button, { className: "gd-button gd-button-secondary s-user-management-close-button", value: intl.formatMessage(messages.closeDialog), onClick: onClose }))))));
};
//# sourceMappingURL=ViewDialog.js.map