// (C) 2024 GoodData Corporation
import React from "react";
import { FormattedMessage } from "react-intl";
import cx from "classnames";
import { getGranularPermissionTitle, granularTooltipMessages } from "./locales.js";
import { QuestionMarkIcon } from "./QuestionMarkIcon.js";
export const WorkspaceAccessPermissionItem = (props) => {
    const { item, checked, onChange } = props;
    return (React.createElement("div", null,
        React.createElement("label", { className: "input-radio-label" },
            React.createElement("input", { type: "radio", className: "input-radio", name: "workspace-access-permission", checked: checked, onChange: onChange }),
            React.createElement("span", { className: "input-label-text" },
                React.createElement(FormattedMessage, { id: getGranularPermissionTitle(item).id })))));
};
export const AdditionalAccessPermissionItem = (props) => {
    const { item, checked, indefinite, disabled, onChange } = props;
    return (React.createElement("div", { className: "gd-granular-permissions__additional-access-item" },
        item.group ? React.createElement("div", { className: "gd-granular-permissions__additional-access-item-indent" }) : null,
        React.createElement("label", { className: "input-checkbox-label" },
            React.createElement("input", { type: "checkbox", className: cx("input-checkbox", { "checkbox-indefinite": indefinite }), name: "additional-access-permission", checked: checked || indefinite, onChange: onChange, disabled: disabled }),
            React.createElement("span", { className: "input-label-text" },
                React.createElement(FormattedMessage, { id: getGranularPermissionTitle(item.id).id }))),
        React.createElement("div", { className: "gd-granular-permissions__additional-access-item-info" },
            React.createElement(QuestionMarkIcon, { bubbleTextId: granularTooltipMessages[item.id].id, width: 14, height: 14 }))));
};
//# sourceMappingURL=GranularPermissionsItems.js.map