// (C) 2023 GoodData Corporation
import React, { useCallback } from "react";
import { useIntl } from "react-intl";
import cx from "classnames";
import { hierarchicalPermissionMessages } from "./locales.js";
import { QuestionMarkIcon } from "./QuestionMarkIcon.js";
export const HierarchicalPermissionDropdownItem = ({ isHierarchicalPermission, selectedPermission, toggleDropdown, onSelect, bubbleTextId, }) => {
    const intl = useIntl();
    const handleOnChange = useCallback(() => {
        toggleDropdown();
        onSelect(isHierarchicalPermission);
    }, [isHierarchicalPermission, onSelect, toggleDropdown]);
    return (React.createElement("div", { onClick: handleOnChange, className: cx("gd-list-item", "gd-menu-item", "gd-granular-permission-select-item", "gd-user-management-permission-item", "s-user-management-permission-item", {
            "is-selected": isHierarchicalPermission === selectedPermission,
        }) },
        React.createElement("div", null, intl.formatMessage(isHierarchicalPermission
            ? hierarchicalPermissionMessages.enabled
            : hierarchicalPermissionMessages.disabled)),
        React.createElement("div", { className: "gd-user-management-help-icon-wrapper" },
            React.createElement(QuestionMarkIcon, { bubbleTextId: bubbleTextId }))));
};
//# sourceMappingURL=HierarchicalPermissionDropdownItem.js.map