// (C) 2023 GoodData Corporation
import React, { useCallback } from "react";
import { ItemsWrapper, Overlay } from "@gooddata/sdk-ui-kit";
import { HierarchicalPermissionDropdownItem } from "./HierarchicalPermissionDropdownItem.js";
import { defineMessages } from "react-intl";
const messages = defineMessages({
    enabled: { id: "userManagement.workspace.hierarchicalPermission.yes.tooltip" },
    disabled: { id: "userManagement.workspace.hierarchicalPermission.no.tooltip" },
});
const overlayAlignPoints = [{ align: "br tr" }];
export const PermissionsDropdownList = ({ alignTo, isShowDropdown, selectedPermission, toggleDropdown, onSelect, }) => {
    const handleOnSelect = useCallback((hierarchical) => {
        onSelect(hierarchical);
        toggleDropdown();
    }, [onSelect, toggleDropdown]);
    if (!isShowDropdown) {
        return null;
    }
    return (React.createElement(Overlay, { key: "GranularPermissionsSelect", alignTo: alignTo, alignPoints: overlayAlignPoints, className: "s-user-management-permissions-overlay", closeOnMouseDrag: true, closeOnOutsideClick: true, closeOnParentScroll: true, onClose: toggleDropdown },
        React.createElement(ItemsWrapper, { smallItemsSpacing: true },
            React.createElement(HierarchicalPermissionDropdownItem, { isHierarchicalPermission: false, selectedPermission: selectedPermission, toggleDropdown: toggleDropdown, onSelect: handleOnSelect, bubbleTextId: messages.disabled.id }),
            React.createElement(HierarchicalPermissionDropdownItem, { isHierarchicalPermission: true, selectedPermission: selectedPermission, toggleDropdown: toggleDropdown, onSelect: handleOnSelect, bubbleTextId: messages.enabled.id }))));
};
//# sourceMappingURL=HierarchicalPermissionsDropdownList.js.map