// (C) 2023-2024 GoodData Corporation
import React from "react";
import cx from "classnames";
import { usePermissionsDropdownState } from "./usePermissionsDropdownState.js";
import { PermissionsDropdown } from "./PermissionsDropdown.js";
import { HierarchicalPermissionsDropdown } from "./HierarchicalPermissionsDropdown.js";
import { WorkspaceIcon } from "./WorkspaceIcon.js";
export const WorkspaceItem = ({ workspace, subjectType, onChange, onDelete, areFilterViewsEnabled, }) => {
    const { isDropdownOpen, toggleDropdown } = usePermissionsDropdownState();
    const { isDropdownOpen: isHierarchicalDropdownOpen, toggleDropdown: toggleHierarchicalDropdown } = usePermissionsDropdownState();
    const itemClassName = cx("s-user-management-workspace-item", "gd-share-dialog-grantee-item", {
        "is-active": isDropdownOpen,
    });
    return (React.createElement("div", { className: itemClassName },
        React.createElement(HierarchicalPermissionsDropdown, { workspace: workspace, subjectType: subjectType, isDropdownOpen: isHierarchicalDropdownOpen, toggleDropdown: toggleHierarchicalDropdown, onChange: onChange, className: "gd-grantee-granular-permission" }),
        React.createElement(PermissionsDropdown, { workspace: workspace, subjectType: subjectType, isDropdownOpen: isDropdownOpen, toggleDropdown: toggleDropdown, onChange: onChange, onDelete: onDelete, className: "gd-grantee-granular-permission", areFilterViewsEnabled: areFilterViewsEnabled }),
        React.createElement("div", { className: "gd-grantee-content" },
            React.createElement("div", { className: "gd-grantee-content-label" }, workspace.title)),
        React.createElement(WorkspaceIcon, null)));
};
//# sourceMappingURL=WorkspaceItem.js.map