// (C) 2021-2024 GoodData Corporation
import React, { useMemo } from "react";
import { sortByName } from "../utils.js";
import { WorkspaceListEmpty } from "./WorkspaceListEmpty.js";
import { GranularPermissionsWorkspaceItem } from "./WorkspaceItem/GranularPermissionsWorkspaceItem.js";
export const WorkspaceList = ({ workspaces, subjectType, mode, onDelete, onClick, }) => {
    const sortedWorkspaces = useMemo(() => {
        return workspaces ? [...workspaces].sort(sortByName) : [];
    }, [workspaces]);
    if (sortedWorkspaces.length === 0) {
        return React.createElement(WorkspaceListEmpty, { mode: mode, subjectType: subjectType });
    }
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list s-user-management-workspaces" }, sortedWorkspaces.map((workspace) => {
        return (React.createElement(GranularPermissionsWorkspaceItem, { key: workspace.id, workspace: workspace, onDelete: onDelete, onClick: onClick }));
    })));
};
//# sourceMappingURL=WorkspaceList.js.map