import { IUser, IUserGroup } from "@gooddata/sdk-model";
import { ITab } from "@gooddata/sdk-ui-kit";
import { IGrantedWorkspace, IGrantedUserGroup, UserEditDialogMode, IUserMember, UserGroupEditDialogMode, IGrantedDataSource, UserTabId } from "./types.js";
export declare const useUser: (userId: string, organizationId: string, isAdmin: boolean, onSuccess: () => void) => {
    user: IUser;
    onUserDetailsChanged: (user: IUser, isAdmin: boolean) => void;
    isCurrentlyAdmin: boolean;
    setIsAdmin: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    error: any;
    isLoading: boolean;
};
export declare const useUserGroup: (userGroupId: string, organizationId: string, onSuccess: () => void) => {
    userGroup: IUserGroup;
    onUserGroupDetailsChanged: (userGroup: IUserGroup) => void;
    error: any;
    isLoading: boolean;
};
export declare const useDeleteUser: (userId: string, organizationId: string, onSuccess: () => void, onClose: () => void) => {
    isDeleteUserProcessing: boolean;
    deleteUser: () => void;
};
export declare const useDeleteUserGroup: (userGroupId: string, organizationId: string, onSuccess: () => void, onClose: () => void) => {
    isDeleteUserGroupProcessing: boolean;
    deleteUserGroup: () => void;
};
export declare const useDeleteDialog: () => {
    isConfirmDeleteOpened: boolean;
    onOpenDeleteDialog: () => void;
    onCloseDeleteDialog: () => void;
    dialogOverlayClassNames: string;
    dialogWrapperClassNames: string;
};
export declare const useUserGroups: (userId: string, organizationId: string, bootstrapUserGroupId: string, onSuccess: () => void, setIsAdmin: (isAdmin: boolean) => void) => {
    grantedUserGroups: IGrantedUserGroup[];
    onUserGroupsChanged: (userGroups: IGrantedUserGroup[]) => void;
    removeGrantedUserGroup: (grantedUserGroup: IGrantedUserGroup) => void;
    removeAdminGroup: () => void;
};
export declare const useUsers: (userGroupId: string, organizationId: string, onSuccess: () => void) => {
    grantedUsers: IUserMember[];
    onUsersChanged: (users: IUserMember[]) => void;
    removeGrantedUsers: (grantedUser: IUserMember) => void;
};
export declare const useUserDialogTabs: (grantedWorkspaces: IGrantedWorkspace[], grantedUserGroups: IGrantedUserGroup[], grantedDataSources: IGrantedDataSource[], isAdmin: boolean, selectedTab?: UserTabId) => {
    tabs: ITab[];
    selectedTabId: {
        id: string;
    };
    setSelectedTabId: import("react").Dispatch<import("react").SetStateAction<{
        id: string;
    }>>;
};
export declare const useUserGroupDialogTabs: (grantedWorkspaces: IGrantedWorkspace[], grantedUsers: IUserMember[], grantedDataSources: IGrantedDataSource[], isAdmin: boolean) => {
    tabs: ITab[];
    selectedTabId: {
        id: string;
    };
    setSelectedTabId: import("react").Dispatch<import("react").SetStateAction<{
        id: string;
    }>>;
};
export declare const useUserDialogMode: (initialView: UserEditDialogMode) => {
    dialogMode: UserEditDialogMode;
    setDialogMode: import("react").Dispatch<import("react").SetStateAction<UserEditDialogMode>>;
};
export declare const useUserGroupDialogMode: (initialView: UserGroupEditDialogMode) => {
    dialogMode: UserGroupEditDialogMode;
    setDialogMode: import("react").Dispatch<import("react").SetStateAction<UserGroupEditDialogMode>>;
};
export declare const useOrganizationDetails: (organizationId: string) => {
    isBootstrapUser: (user: IUser) => boolean;
    isBootstrapUserGroup: (userGroup: IUserGroup) => boolean;
    bootstrapUserId: string;
    bootstrapUserGroupId: string;
};
//# sourceMappingURL=dialogHooks.d.ts.map