// (C) 2023-2024 GoodData Corporation
import { defineMessages } from "react-intl";
export const userDialogTabsMessages = defineMessages({
    workspaces: { id: "userManagement.tab.workspaces" },
    userGroups: { id: "userManagement.tab.groups" },
    details: { id: "userManagement.tab.details" },
    dataSources: { id: "userManagement.tab.dataSources" },
});
export const userGroupDialogTabsMessages = defineMessages({
    workspaces: { id: "userManagement.tab.workspaces" },
    users: { id: "userManagement.tab.users" },
    details: { id: "userManagement.tab.details" },
    dataSources: { id: "userManagement.tab.dataSources" },
});
export const messages = defineMessages({
    createUserGroupDialogTitle: { id: "userManagement.createUserGroup.dialogTitle" },
    createUserGroupButton: { id: "userManagement.createUserGroup.createButton" },
    cancelUserGroupButton: { id: "userManagement.createUserGroup.cancelButton" },
    createUserGroupInputPlaceholder: { id: "userManagement.createUserGroup.inputPlaceholder" },
    userGroupDeleteSuccess: { id: "userManagement.userGroups.deleteSuccess" },
    userGroupDeleteFailure: { id: "userManagement.userGroups.deleteFailure" },
    userGroupsDeleteSuccess: { id: "userManagement.multipleUserGroups.deleteSuccess" },
    userGroupsDeleteFailure: { id: "userManagement.multipleUserGroups.deleteFailure" },
    userGroupCreatedSuccess: { id: "userManagement.createUserGroup.createSuccess" },
    userGroupCreatedFailure: { id: "userManagement.createUserGroup.createFailure" },
    userLoadingErrorTitle: { id: "userManagement.users.loadingError.title" },
    userLoadingErrorNotExist: { id: "userManagement.users.loadingError.notExist" },
    userLoadingErrorUnknown: { id: "userManagement.users.loadingError.unknown" },
    userGroupLoadingErrorTitle: { id: "userManagement.userGroups.loadingError.title" },
    userGroupLoadingErrorNotExist: { id: "userManagement.userGroups.loadingError.notExist" },
    userGroupLoadingErrorUnknown: { id: "userManagement.userGroups.loadingError.unknown" },
    userDeleteSuccess: { id: "userManagement.users.deleteSuccess" },
    userDeletedFailure: { id: "userManagement.users.deleteFailure" },
    usersDeleteSuccess: { id: "userManagement.multipleUsers.deleteSuccess" },
    usersDeletedFailure: { id: "userManagement.multipleUsers.deleteFailure" },
    workspaceAddedSuccess: { id: "userManagement.workspace.addSuccess" },
    workspaceAddedError: { id: "userManagement.workspace.addError" },
    dataSourceAddedSuccess: { id: "userManagement.dataSource.addSuccess" },
    dataSourceAddedError: { id: "userManagement.dataSource.addError" },
    workspacesAddedToUsersSuccess: { id: "userManagement.users.multipleWorkspaces.addSuccess" },
    workspacesAddedToUsersError: { id: "userManagement.users.multipleWorkspaces.addError" },
    workspacesAddedToUserGroupsSuccess: { id: "userManagement.userGroups.multipleWorkspaces.addSuccess" },
    workspacesAddedToUserGroupsError: { id: "userManagement.userGroups.multipleWorkspaces.addError" },
    workspaceRemovedSuccess: { id: "userManagement.workspace.removeSuccess" },
    workspaceRemovedFailure: { id: "userManagement.workspace.removeError" },
    workspaceChangeSuccess: { id: "userManagement.workspace.changeSuccess" },
    workspaceChangeFailure: { id: "userManagement.workspace.changeError" },
    userGroupAddedSuccess: { id: "userManagement.userGroup.addSuccess" },
    userGroupAddedFailure: { id: "userManagement.userGroup.addError" },
    userGroupsAddedSuccess: { id: "userManagement.multipleUserGroup.addSuccess" },
    userGroupsAddedFailure: { id: "userManagement.multipleUserGroup.addError" },
    userGroupRemovedSuccess: { id: "userManagement.userGroup.removeSuccess" },
    userGroupRemoveFailure: { id: "userManagement.userGroup.removeError" },
    usersAddedSuccess: { id: "userManagement.users.addSuccess" },
    usersAddedFailure: { id: "userManagement.users.addFailure" },
    usersAddedToUserGroupsSuccess: { id: "userManagement.users.addToUserGroupsSuccess" },
    usersAddedToUserGroupsFailure: { id: "userManagement.users.addToUserGroupsFailure" },
    usersRemovedSuccess: { id: "userManagement.users.removeSuccess" },
    usersRemovedFailure: { id: "userManagement.users.removeFailure" },
    userDetailsUpdatedSuccess: { id: "userManagement.userDetails.updatedSuccess" },
    userDetailsUpdatedFailure: { id: "userManagement.userDetails.updatedFailure" },
    userGroupDetailsUpdatedSuccess: { id: "userManagement.groupDetails.updatedSuccess" },
    userGroupDetailsUpdatedFailure: { id: "userManagement.groupDetails.updatedFailure" },
    addWorkspaceButton: { id: "userManagement.buttons.addWorkspace" },
    addUserGroupButton: { id: "userManagement.buttons.addToGroup" },
    addUserButton: { id: "userManagement.buttons.addUser" },
    addDataSourcePermissionButton: { id: "userManagement.buttons.addDataSourcePermission" },
    editUserButton: { id: "userManagement.buttons.edit" },
    editUserGroupButton: { id: "userManagement.buttons.edit" },
    deleteUserLink: { id: "userManagement.users.deleteLink" },
    deleteUserGroupLink: { id: "userManagement.userGroups.deleteLink" },
    deleteUserConfirmTitle: { id: "userManagement.deleteDialog.user.title" },
    deleteUserConfirmBody: { id: "userManagement.deleteDialog.user.body" },
    deleteUserDisabledTooltip: { id: "userManagement.deleteDialog.user.disabledTooltip" },
    deleteUsersConfirmTitle: { id: "userManagement.deleteDialog.multipleUsers.title" },
    deleteUsersConfirmBody: { id: "userManagement.deleteDialog.multipleUsers.body" },
    deleteUserGroupConfirmTitle: { id: "userManagement.deleteDialog.group.title" },
    deleteAdminUserGroupTooltip: { id: "userManagement.deleteDialog.userGroup.adminDisabledTooltip" },
    deleteNonEmptyUserGroupTooltip: { id: "userManagement.deleteDialog.userGroup.nonEmptyDisabledTooltip" },
    deleteUserGroupConfirmBody: { id: "userManagement.deleteDialog.group.body" },
    deleteUserGroupsConfirmTitle: { id: "userManagement.deleteDialog.multipleGroups.title" },
    deleteUserGroupsConfirmBody: { id: "userManagement.deleteDialog.multipleGroups.body" },
    closeDialog: { id: "userManagement.buttons.close" },
    confirmDeleteButton: { id: "userManagement.deleteDialog.confirmButton" },
    cancelDeleteButton: { id: "userManagement.deleteDialog.cancelButton" },
    emptyDetailValue: { id: "userManagement.userDetail.emptyValue" },
    closeEditMode: { id: "userManagement.userDetail.cancelButton" },
    saveEditedDetails: { id: "userManagement.userDetail.saveButton" },
    userIsAdmin: { id: "userManagement.detail.orgPermission.admin" },
    userIsAdminTooltip: { id: "userManagement.detail.orgPermission.admin.tooltip" },
    userIsRegularUser: { id: "userManagement.detail.orgPermission.member" },
    userIsRegularUserTooltip: { id: "userManagement.detail.orgPermission.member.tooltip" },
    userFirstName: { id: "userManagement.userDetail.firstName.label" },
    userLastName: { id: "userManagement.userDetail.lastName.label" },
    userEmail: { id: "userManagement.userDetail.email.label" },
    userId: { id: "userManagement.userDetail.id.label" },
    userGroupName: { id: "userManagement.groupDetail.name.label" },
    userGroupId: { id: "userManagement.groupDetail.id.label" },
    userMembership: { id: "userManagement.userDetail.orgPermission.label" },
    addUserGroupDialogTitle: { id: "userManagement.userGroups.title" },
    addUserGroupDialogCloseButton: { id: "userManagement.userGroups.cancelButton" },
    addUserGroupDialogSaveButton: { id: "userManagement.userGroups.addButton" },
    searchUserGroupNoMatch: { id: "userManagement.userGroups.noMatchingItems" },
    searchUserGroupPlaceholder: { id: "userManagement.userGroups.searchPlaceholder" },
    searchUserGroupError: { id: "userManagement.userGroups.searchError" },
    addUserDialogTitle: { id: "userManagement.users.title" },
    addUserDialogCloseButton: { id: "userManagement.users.cancelButton" },
    addUserDialogSaveButton: { id: "userManagement.users.addButton" },
    searchUserNoMatch: { id: "userManagement.users.noMatchingItems" },
    searchUserPlaceholder: { id: "userManagement.users.searchPlaceholder" },
    searchUserError: { id: "userManagement.users.searchError" },
    addWorkspaceDialogTitle: { id: "userManagement.workspace.title" },
    addWorkspaceDialogCloseButton: { id: "userManagement.users.cancelButton" },
    addWorkspaceDialogSaveButton: { id: "userManagement.workspace.addButton" },
    editWorkspaceDialogTitle: { id: "userManagement.workspace.edit.title" },
    searchWorkspaceNoMatch: { id: "userManagement.workspace.noMatchingItems" },
    searchDataSourceNoMatch: { id: "userManagement.dataSources.noMatchingItems" },
    searchWorkspacePlaceholder: { id: "userManagement.workspace.searchPlaceholder" },
    viewUserWorkspaceListEmpty: { id: "userManagement.workspace.emptySelection.user.view" },
    viewUserGroupWorkspaceListEmpty: { id: "userManagement.workspace.emptySelection.userGroup.view" },
    editWorkspaceListEmpty: { id: "userManagement.workspace.emptySelection.edit" },
    viewUserListEmpty: { id: "userManagement.users.emptySelection.view" },
    editUserListEmpty: { id: "userManagement.users.emptySelection.edit" },
    viewUserGroupListEmpty: { id: "userManagement.userGroups.emptySelection.view" },
    editUserGroupListEmpty: { id: "userManagement.userGroups.emptySelection.edit" },
    viewUserDataSourceListEmpty: { id: "userManagement.dataSources.emptySelection.view" },
    viewUserGroupDataSourceListEmpty: { id: "userManagement.dataSources.emptySelection.userGroup.view" },
    editDataSourceListEmpty: { id: "userManagement.dataSources.emptySelection.edit" },
    removeSavedUserTooltip: { id: "userManagement.users.removeUserFromGroup" },
    removeSavedUserDisabledTooltip: { id: "userManagement.users.removeUserFromGroupDisabledTooltip" },
    removeUnsavedUserTooltip: { id: "userManagement.users.removeUserFromSelection" },
    removeSavedUserGroupTooltip: { id: "userManagement.userGroups.removeTooltip" },
    removeSavedUserGroupDisabledTooltip: { id: "userManagement.userGroups.removeDisabledTooltip" },
    removeUnsavedUserGroupTooltip: { id: "userManagement.userGroups.removeUserGroupFromSelection" },
    adminAlert: { id: "userManagement.admin.alert" },
    adminGroupAlert: { id: "userManagement.adminGroup.alert" },
    adminPill: { id: "userManagement.admin.pill" },
    dataSourcesAddedToUsersSuccess: { id: "userManagement.users.multipleDataSources.addSuccess" },
    dataSourcesAddedToUserGroupsSuccess: { id: "userManagement.userGroups.multipleDataSources.addSuccess" },
    dataSourcesAddedToUsersError: { id: "userManagement.users.multipleDataSources.addError" },
    dataSourcesAddedToUserGroupsError: { id: "userManagement.userGroups.multipleDataSources.addError" },
    dataSourceRemovedSuccess: { id: "userManagement.dataSources.removeSuccess" },
    dataSourceRemovedFailure: { id: "userManagement.dataSources.removeError" },
    dataSourceChangeSuccess: { id: "userManagement.dataSources.changeSuccess" },
    dataSourceChangeFailure: { id: "userManagement.dataSources.changeError" },
    addDataSourceDialogTitle: { id: "userManagement.dataSource.title" },
    searchDataSourcePlaceholder: { id: "userManagement.dataSource.searchPlaceholder" },
});
//# sourceMappingURL=locales.js.map