// (C) 2021-2025 GoodData Corporation
import { MIDDLE_VISUALIZATION_HEIGHT, DASHBOARD_LAYOUT_DEFAULT_VIS_HEIGHT, MIN_VISUALIZATION_HEIGHT_FLEXIBLE_LAYOUT, } from "./constants.js";
import { BaseChartDescriptor } from "./baseChart/BaseChartDescriptor.js";
export class BigChartDescriptor extends BaseChartDescriptor {
    getSizeInfo(_insight, layoutDescriptor, settings) {
        return {
            width: {
                default: settings.enableFlexibleDashboardLayout ? 4 : 6,
                min: 2,
                max: layoutDescriptor.gridColumnsCount,
            },
            height: {
                default: this.getDefaultHeight(settings),
                min: this.getMinHeight(settings),
                max: this.getMaxHeight(settings),
            },
        };
    }
    getMinHeight(settings) {
        const { enableKDWidgetCustomHeight, enableFlexibleDashboardLayout } = settings;
        if (!enableKDWidgetCustomHeight) {
            return DASHBOARD_LAYOUT_DEFAULT_VIS_HEIGHT;
        }
        if (enableFlexibleDashboardLayout) {
            return MIN_VISUALIZATION_HEIGHT_FLEXIBLE_LAYOUT;
        }
        return MIDDLE_VISUALIZATION_HEIGHT;
    }
}
//# sourceMappingURL=BigChartDescriptor.js.map