import React from "react";
import { WrappedComponentProps } from "react-intl";
import { IExecutionFactory, IPreparedExecution } from "@gooddata/sdk-backend-spi";
import { IInsightDefinition } from "@gooddata/sdk-model";
import { AbstractPluggableVisualization } from "./AbstractPluggableVisualization.js";
import { IExtendedReferencePoint, IVisConstruct, IReferencePoint, IVisProps } from "../../interfaces/Visualization.js";
export type IIntlLocalizedUnknownVisualizationClass = WrappedComponentProps & {
    onAfterRender?: () => void;
};
export declare class LocalizedUnknownVisualizationClass extends React.Component<IIntlLocalizedUnknownVisualizationClass> {
    private errorDetails;
    componentDidMount(): void;
    constructor(props: IIntlLocalizedUnknownVisualizationClass);
    render(): JSX.Element;
}
export declare const IntlLocalizedUnknownVisualizationClass: React.FC<import("react-intl").WithIntlProps<IIntlLocalizedUnknownVisualizationClass>> & {
    WrappedComponent: React.ComponentType<IIntlLocalizedUnknownVisualizationClass>;
};
export declare class PluggableUnknownChart extends AbstractPluggableVisualization {
    private renderFun;
    private unmountFun;
    constructor(props: IVisConstruct);
    getExtendedReferencePoint(referencePoint: IReferencePoint): Promise<IExtendedReferencePoint>;
    getExecution(_options: IVisProps, _insight: IInsightDefinition, _executionFactory: IExecutionFactory): IPreparedExecution;
    protected renderConfigurationPanel(_insight: IInsightDefinition): void;
    protected renderVisualization(options: IVisProps, _insight: IInsightDefinition, _executionFactory: IExecutionFactory): void;
    unmount(): void;
}
//# sourceMappingURL=PluggableUnknownChart.d.ts.map