import { IInsight, IInsightDefinition, ISettings } from "@gooddata/sdk-model";
import { IVisualizationDescriptor, IVisualizationMeta, IVisualizationSizeInfo, PluggableVisualizationFactory } from "../../../interfaces/VisualizationDescriptor.js";
import { IFluidLayoutDescriptor } from "../../../interfaces/LayoutDescriptor.js";
import { IDrillDownContext } from "../../../interfaces/Visualization.js";
export declare abstract class BaseChartDescriptor implements IVisualizationDescriptor {
    abstract getFactory(): PluggableVisualizationFactory;
    abstract getMeta(): IVisualizationMeta;
    getSizeInfo(_insight: IInsightDefinition, layoutDescriptor: IFluidLayoutDescriptor, settings: ISettings): IVisualizationSizeInfo;
    protected getDefaultHeight(settings: ISettings): number;
    protected getMinHeight(settings: ISettings): number;
    protected getMaxHeight(settings: ISettings): 40 | 2000 | 22.5;
    applyDrillDown(insight: IInsight, drillDownContext: IDrillDownContext, backendSupportsElementUris: boolean, enableDuplicatedLabelValuesInAttributeFilter: boolean): IInsight;
}
//# sourceMappingURL=BaseChartDescriptor.d.ts.map