import { IDimension, IInsight, IInsightDefinition } from "@gooddata/sdk-model";
import { IExecutionFactory } from "@gooddata/sdk-backend-spi";
import { AbstractPluggableVisualization } from "../AbstractPluggableVisualization.js";
import { IDrillDownContext, IExtendedReferencePoint, IReferencePoint, IVisConstruct, IVisProps, IVisualizationProperties } from "../../../interfaces/Visualization.js";
/**
 * Pluggable component for pivot table next.
 *
 * This component uses CorePivotTableNext component to render the pivot table. It creates its own execution and unlike PivotTableNext or CorePivotTableNext,
 * it does its own validation and sanitization of the props from extended reference point and visualization properties.
 */
export declare class PluggablePivotTableNext extends AbstractPluggableVisualization {
    private renderFun;
    private unmountFun;
    private readonly settings;
    private backendCapabilities;
    constructor(props: IVisConstruct);
    unmount(): void;
    getExtendedReferencePoint(referencePoint: IReferencePoint, previousReferencePoint?: IReferencePoint): Promise<IExtendedReferencePoint>;
    getInsightWithDrillDownApplied(sourceVisualization: IInsight, drillDownContext: IDrillDownContext, backendSupportsElementUris: boolean): IInsight;
    private getSanitizedConfig;
    getExecution(options: IVisProps, insight: IInsightDefinition, executionFactory: IExecutionFactory): import("@gooddata/sdk-backend-spi").IPreparedExecution;
    protected initializeProperties(visualizationProperties: IVisualizationProperties): void;
    private createCorePivotTableProps;
    protected updateInstanceProperties(options: IVisProps, insight: IInsightDefinition, insightPropertiesMeta: any): void;
    protected renderVisualization(options: IVisProps, insight: IInsightDefinition, executionFactory: IExecutionFactory): void;
    protected renderConfigurationPanel(insight: IInsightDefinition, options: IVisProps): void;
    protected getDimensions(insight: IInsightDefinition, customVisualizationConfig?: any): IDimension[];
    private adaptPropertiesToInsight;
    private sanitizeColumnWidths;
    private onColumnResized;
    private handlePushData;
}
//# sourceMappingURL=PluggablePivotTableNext.d.ts.map