// (C) 2019-2022 GoodData Corporation
import cloneDeep from "lodash/cloneDeep.js";
import set from "lodash/set.js";
import assign from "lodash/assign.js";
import { BucketNames } from "@gooddata/sdk-ui";
import { disabledOpenAsReportConfig, UICONFIG } from "../../constants/uiConfig.js";
import { BUCKETS } from "../../constants/bucket.js";
// If you need to edit these icons
// reflect changes also in gdc-analytical-designer
// https://github.com/gooddata/gdc-analytical-designer/blob/develop/app/components/buckets/BucketIcon.tsx
const donutMeasuresIcon = "local:donut/bucket-title-measures.svg";
const donutViewIcon = "local:donut/bucket-title-view.svg";
export function setDonutChartUiConfig(referencePoint) {
    const referencePointConfigured = cloneDeep(referencePoint);
    assign(referencePointConfigured[UICONFIG], disabledOpenAsReportConfig);
    set(referencePointConfigured, [UICONFIG, BUCKETS, BucketNames.MEASURES, "icon"], donutMeasuresIcon);
    set(referencePointConfigured, [UICONFIG, BUCKETS, BucketNames.VIEW, "icon"], donutViewIcon);
    return referencePointConfigured;
}
//# sourceMappingURL=donutChartUiConfigHelper.js.map