// (C) 2019-2023 GoodData Corporation
import cloneDeep from "lodash/cloneDeep.js";
import set from "lodash/set.js";
import assign from "lodash/assign.js";
import { BucketNames } from "@gooddata/sdk-ui";
import { disabledOpenAsReportConfig, UICONFIG } from "../../constants/uiConfig.js";
import { BUCKETS } from "../../constants/bucket.js";
// If you need to edit these icons
// reflect changes also in gdc-analytical-designer
// https://github.com/gooddata/gdc-analytical-designer/blob/develop/app/components/buckets/BucketIcon.tsx
const pyramidMeasuresIcon = "local:pyramid/bucket-title-measures.svg";
const pyramidViewIcon = "local:pyramid/bucket-title-view.svg";
export function setPyramidChartUiConfig(referencePoint) {
    const referencePointConfigured = cloneDeep(referencePoint);
    assign(referencePointConfigured[UICONFIG], disabledOpenAsReportConfig);
    set(referencePointConfigured, [UICONFIG, BUCKETS, BucketNames.MEASURES, "icon"], pyramidMeasuresIcon);
    set(referencePointConfigured, [UICONFIG, BUCKETS, BucketNames.VIEW, "icon"], pyramidViewIcon);
    return referencePointConfigured;
}
//# sourceMappingURL=pyramidChartUiConfigHelper.js.map