import React from "react";
import { IAnalyticalBackend, IOrganization } from "@gooddata/sdk-backend-spi";
import { GoodDataSdkError, UseCancelablePromiseState } from "@gooddata/sdk-ui";
/**
 * @beta
 */
export type IOrganizationContext = UseCancelablePromiseState<IOrganization, GoodDataSdkError>;
/**
 * @beta
 */
export declare const useOrganization: () => IOrganizationContext;
/**
 * @beta
 */
export interface IOrganizationProviderProps {
    backend?: IAnalyticalBackend;
    organizationId?: string;
    children?: React.ReactNode;
}
/**
 * @beta
 */
export declare const OrganizationProvider: React.FC<IOrganizationProviderProps>;
//# sourceMappingURL=OrganizationContext.d.ts.map