import { IAnalyticalBackend, IOrganization } from "@gooddata/sdk-backend-spi";
import { GoodDataSdkError } from "@gooddata/sdk-ui";
/**
 * @beta
 */
export interface IUseFetchOrganizationProps {
    /**
     * Analytical backend instance to use.
     *
     * - If not provided, it will be taken from the BackendProvider context.
     */
    backend?: IAnalyticalBackend;
    /**
     * Organization ID to use.
     *
     * - If not provided, organization of the currently logged in user will be used.
     */
    organizationId?: string;
}
/**
 * @beta
 */
export declare function useFetchOrganization({ backend, organizationId }: IUseFetchOrganizationProps): import("@gooddata/sdk-ui").UseCancelablePromiseState<IOrganization, GoodDataSdkError>;
//# sourceMappingURL=useFetchOrganization.d.ts.map