import React from "react";
import { INotification } from "@gooddata/sdk-model";
/**
 * Props for the Notification component.
 *
 * @public
 */
export interface INotificationComponentProps {
    /**
     * Notification to display.
     */
    notification: INotification;
    /**
     * Function to mark notification as read.
     */
    markNotificationAsRead: (id: string) => void;
    /**
     * Function to handle notification click.
     */
    onNotificationClick?: (notification: INotification) => void;
    /**
     * Function to handle closing the overlay
     */
    closeNotificationsPanel: () => void;
}
/**
 * Default implementation of the Notification component.
 *
 * @public
 */
export declare function DefaultNotification({ notification, markNotificationAsRead, onNotificationClick, closeNotificationsPanel, }: INotificationComponentProps): React.JSX.Element;
//# sourceMappingURL=DefaultNotification.d.ts.map