import React from "react";
import { defineMessages, useIntl } from "react-intl";
import { bem } from "../bem.js";
import { DetailsDialog } from "../components/DetailsDialog.js";
const { b, e } = bem("gd-ui-ext-notification-filters-detail-dialog");
const messages = defineMessages({
    title: {
        id: "notifications.filters.dialog.title",
    },
});
/**
 * @internal
 */
export function NotificationFiltersDetailDialog({ filters, onClose }) {
    const intl = useIntl();
    return (React.createElement(DetailsDialog, { title: `${intl.formatMessage(messages.title)} (${filters.length})`, content: React.createElement("div", { className: b() }, filters.map(({ title, filter }, idx) => (React.createElement("div", { className: e("item"), key: idx },
            React.createElement("div", { className: e("label") }, title),
            React.createElement("div", { className: e("values") }, filter))))), onClose: onClose }));
}
//# sourceMappingURL=NotificationFiltersDetailDialog.js.map