// (C) 2024-2025 GoodData Corporation
import React from "react";
import { bem } from "../bem.js";
import { defineMessages, useIntl } from "react-intl";
const { b } = bem("gd-ui-ext-notifications-list-empty-state");
const messages = defineMessages({
    emptyStateAll: {
        id: "notifications.panel.empty.all",
    },
    emptyStateUnread: {
        id: "notifications.panel.empty.unread",
    },
});
/**
 * Default implementation of the NotificationsListEmptyState component.
 *
 * @public
 */
export function DefaultNotificationsListEmptyState({ activeView, }) {
    const intl = useIntl();
    return (React.createElement("div", { className: b() }, activeView === "all"
        ? intl.formatMessage(messages.emptyStateAll)
        : intl.formatMessage(messages.emptyStateUnread)));
}
//# sourceMappingURL=DefaultNotificationsListEmptyState.js.map