// (C) 2024-2025 GoodData Corporation
import React from "react";
import { bem } from "../bem.js";
import { defineMessages, useIntl } from "react-intl";
const { b } = bem("gd-ui-ext-notifications-list-error-state");
const messages = defineMessages({
    errorLoadingNotifications: {
        id: "notifications.panel.error.loading",
    },
});
/**
 * Default implementation of the NotificationsListErrorState component.
 *
 * @public
 */
export function DefaultNotificationsListErrorState({ error }) {
    const intl = useIntl();
    return (React.createElement("div", { className: b() }, error?.message ?? intl.formatMessage(messages.errorLoadingNotifications)));
}
//# sourceMappingURL=DefaultNotificationsListErrorState.js.map