// (C) 2024-2025 GoodData Corporation
import React from "react";
import { bem } from "../bem.js";
const { b } = bem("gd-ui-ext-notifications-panel");
export const NOTIFICATIONS_PANEL_ID = "gd-ui-ext-notifications-panel-id";
/**
 * Default implementation of the NotificationsPanel component.
 *
 * @public
 */
export function DefaultNotificationsPanel({ NotificationsPanelHeader, NotificationsList, NotificationsListEmptyState, NotificationsListErrorState, Notification, NotificationSkeletonItem, activeView, changeActiveView, markNotificationAsRead, markAllNotificationsAsRead, unreadNotificationsCount, hasUnreadNotifications, activeNotifications, onNotificationClick, closeNotificationsPanel, status, error, loadNextPage, hasNextPage, itemHeight, itemsGap, itemPadding, skeletonItemsCount, maxListHeight, }) {
    return (React.createElement("div", { className: b(), id: NOTIFICATIONS_PANEL_ID },
        React.createElement(NotificationsPanelHeader, { activeView: activeView, changeActiveView: changeActiveView, markAllNotificationsAsRead: markAllNotificationsAsRead, hasUnreadNotifications: hasUnreadNotifications, unreadNotificationsCount: unreadNotificationsCount }),
        React.createElement(NotificationsList, { NotificationsListEmptyState: NotificationsListEmptyState, NotificationsListErrorState: NotificationsListErrorState, Notification: Notification, NotificationSkeletonItem: NotificationSkeletonItem, activeView: activeView, onNotificationClick: onNotificationClick, activeNotifications: activeNotifications, markNotificationAsRead: markNotificationAsRead, status: status, error: error, loadNextPage: loadNextPage, hasNextPage: hasNextPage, itemHeight: itemHeight, itemsGap: itemsGap, itemPadding: itemPadding, skeletonItemsCount: skeletonItemsCount, maxListHeight: maxListHeight, closeNotificationsPanel: closeNotificationsPanel })));
}
//# sourceMappingURL=DefaultNotificationsPanel.js.map