import React from "react";
/**
 * OpenNotificationsPanelButton component props.
 *
 * @public
 */
export interface INotificationsPanelButtonComponentProps {
    /**
     * Ref to the button element - is required for proper alignment of the notification panel.
     */
    buttonRef: React.RefObject<HTMLButtonElement>;
    /**
     * Opens the notification panel.
     */
    openNotificationPanel: () => void;
    /**
     * Closes the notification panel.
     */
    closeNotificationPanel: () => void;
    /**
     * Toggles the notification panel.
     */
    toggleNotificationPanel: () => void;
    /**
     * Indicates whether the notification panel is open.
     */
    isNotificationPanelOpen: boolean;
    /**
     * Indicates whether there are unread notifications.
     */
    hasUnreadNotifications: boolean;
}
/**
 * @internal
 */
export declare function DefaultNotificationsPanelButton({ buttonRef, isNotificationPanelOpen, toggleNotificationPanel, hasUnreadNotifications, }: INotificationsPanelButtonComponentProps): React.JSX.Element;
//# sourceMappingURL=DefaultNotificationsPanelButton.d.ts.map