// (C) 2024-2025 GoodData Corporation
import { UiIcon } from "@gooddata/sdk-ui-kit";
import cx from "classnames";
import React from "react";
import { useIntl } from "react-intl";
import { bem } from "../bem.js";
import { NOTIFICATIONS_PANEL_ID } from "./DefaultNotificationsPanel.js";
const { b, e } = bem("gd-ui-ext-notifications-panel-button");
/**
 * @internal
 */
export function DefaultNotificationsPanelButton({ buttonRef, isNotificationPanelOpen, toggleNotificationPanel, hasUnreadNotifications, }) {
    const intl = useIntl();
    const ariaControls = isNotificationPanelOpen ? { "aria-controls": NOTIFICATIONS_PANEL_ID } : {};
    return (React.createElement("button", { ref: buttonRef, className: cx(`gd-button gd-header-button ${b({ isOpen: isNotificationPanelOpen })}`), onClick: toggleNotificationPanel, "aria-label": intl.formatMessage({ id: "notifications.panel.button.label" }), "aria-expanded": isNotificationPanelOpen, "aria-haspopup": "true", ...ariaControls },
        React.createElement("span", { className: e("icon") },
            hasUnreadNotifications ? React.createElement("span", { className: e("unread-status") }) : null,
            React.createElement(UiIcon, { type: "alert", size: 14, ariaHidden: true }))));
}
//# sourceMappingURL=DefaultNotificationsPanelButton.js.map