import React from "react";
import { INotificationsPanelView } from "../types.js";
/**
 * Props for the NotificationsPanelHeader component.
 *
 * @public
 */
export interface INotificationsPanelHeaderComponentProps {
    /**
     * The currently active view of the notifications panel.
     */
    activeView: INotificationsPanelView;
    /**
     * The callback to change the active view.
     */
    changeActiveView: (view: INotificationsPanelView) => void;
    /**
     * Indicates if there are unread notifications.
     */
    hasUnreadNotifications: boolean;
    /**
     * The number of unread notifications.
     */
    unreadNotificationsCount: number;
    /**
     * The callback to mark all notifications as read.
     */
    markAllNotificationsAsRead: () => void;
}
/**
 * Default implementation of the notifications panel header.
 *
 * @public
 */
export declare function DefaultNotificationsPanelHeader({ activeView, changeActiveView, markAllNotificationsAsRead, hasUnreadNotifications, unreadNotificationsCount, }: INotificationsPanelHeaderComponentProps): React.JSX.Element;
//# sourceMappingURL=DefaultNotificationsPanelHeader.d.ts.map