// (C) 2024 GoodData Corporation
import { UiButton, UiIcon } from "@gooddata/sdk-ui-kit";
import React from "react";
import { bem } from "../bem.js";
import { defineMessages, useIntl } from "react-intl";
const { b, e } = bem("gd-ui-ext-notification-details-dialog");
const messages = defineMessages({
    closeButtonLabel: {
        id: "close",
    },
});
export function DetailsDialog({ onClose, title, content }) {
    const intl = useIntl();
    return (React.createElement("div", { className: b() },
        React.createElement("div", { className: e("header") },
            React.createElement("div", { className: e("header-title") }, title),
            React.createElement("div", { role: "button", className: e("header-close-button"), onClick: onClose },
                React.createElement(UiIcon, { type: "close", size: 14, color: "complementary-7" }))),
        React.createElement("div", { className: e("content") }, content),
        React.createElement("div", { className: e("footer") },
            React.createElement(UiButton, { variant: "secondary", label: intl.formatMessage(messages.closeButtonLabel), size: "small", onClick: onClose }))));
}
//# sourceMappingURL=DetailsDialog.js.map