// (C) 2024-2025 GoodData Corporation
import React, { useRef, useState, useCallback } from "react";
import { Bubble } from "@gooddata/sdk-ui-kit";
import { v4 as uuidv4 } from "uuid";
const ALIGN_POINTS = [{ align: "bc tr" }, { align: "tc br" }];
export function Popup({ children, popup, }) {
    const [isOpen, setIsOpen] = useState(false);
    const { current: id } = useRef(`popup-${uuidv4()}`);
    const toggle = useCallback(() => setIsOpen((x) => !x), []);
    const close = useCallback(() => setIsOpen(false), []);
    return (React.createElement(React.Fragment, null,
        children({ toggle, id }),
        isOpen ? (React.createElement(Bubble, { alignPoints: ALIGN_POINTS, alignTo: `#${id}`, closeOnOutsideClick: true, closeOnParentScroll: true, onClose: close }, popup)) : null));
}
//# sourceMappingURL=Popup.js.map