import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import React from "react";
import { useNotifications } from "./useNotifications.js";
/**
 * @internal
 */
export type INotificationsContext = ReturnType<typeof useNotifications>;
/**
 * @internal
 */
export declare const useNotificationsContext: () => {
    notifications: import("@gooddata/sdk-model").INotification[];
    notificationsStatus: "error" | "loading" | "pending" | "success";
    notificationsError: import("@gooddata/sdk-ui").GoodDataSdkError;
    notificationsHasNextPage: boolean;
    notificationsLoadNextPage: () => void;
    notificationsReset: () => void;
    unreadNotifications: import("@gooddata/sdk-model").INotification[];
    unreadNotificationsStatus: "error" | "loading" | "pending" | "success";
    unreadNotificationsError: import("@gooddata/sdk-ui").GoodDataSdkError;
    unreadNotificationsHasNextPage: boolean;
    unreadNotificationsLoadNextPage: () => void;
    unreadNotificationsReset: () => void;
    unreadNotificationsCount: number;
    markNotificationAsRead: (notificationId: string) => Promise<void>;
    markAllNotificationsAsRead: () => Promise<void>;
};
/**
 * @internal
 */
export interface INotificationsProviderProps {
    backend?: IAnalyticalBackend;
    workspace?: string;
    children?: React.ReactNode;
    refreshInterval: number;
    itemsPerPage: number;
    enableScheduleNotifications: boolean;
}
/**
 * @internal
 */
export declare const NotificationsProvider: React.FC<INotificationsProviderProps>;
//# sourceMappingURL=NotificationsContext.d.ts.map