import { GoodDataSdkError } from "@gooddata/sdk-ui";
import { INotification } from "@gooddata/sdk-model";
/**
 * @internal
 */
export interface IUseFetchNotificationsProps {
    /**
     * Filter notifications by workspace.
     */
    workspace?: string;
    /**
     * Filter notifications by status.
     */
    readStatus?: "unread" | "read";
    /**
     * Refresh interval in milliseconds.
     */
    refreshInterval: number;
    /**
     * Number of items to fetch per page.
     */
    itemsPerPage: number;
}
/**
 * @internal
 */
export declare function useFetchNotifications({ workspace, readStatus, refreshInterval, itemsPerPage, }: IUseFetchNotificationsProps): {
    status: "error" | "loading" | "pending" | "success";
    error: GoodDataSdkError;
    hasNextPage: boolean;
    notifications: INotification[];
    totalNotificationsCount: number;
    loadNextPage: () => void;
    reset: () => void;
};
//# sourceMappingURL=useFetchNotifications.d.ts.map